using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.IO;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Product_JS 的摘要说明。
	/// </summary>
	public class Product_JS : BasePage
	{
		protected System.Web.UI.WebControls.Button btnUpdate;
		ProductSystem product = new ProductSystem();

		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnUpdate.Click += new System.EventHandler(this.btnUpdate_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnUpdate_Click(object sender, System.EventArgs e)
		{
			string templatefile = System.Web.HttpContext.Current.Server.MapPath(this.Root+"js/AdminJS_Module.txt");
			StreamReader sr = new StreamReader(templatefile,System.Text.Encoding.UTF8);
			string filestring = sr.ReadToEnd();
			sr.Close(); 
			string strArray="var arr=new Array();\r\n";
			using(DataSet ds = product.List())
			{
				
				int i=0;
				foreach(DataRow dr in  ds.Tables[0].Rows)
				{
					strArray += string.Format("arr[{0}]=new Array('{1}','{2}','{3}');\r\n",i,dr["ProductName"].ToString(),dr["ProductNO"].ToString(),dr["HomePage"].ToString());
					i++;
				}
			}
			filestring=filestring.Replace("{{JS}}",strArray);
			using (StreamWriter sw = new StreamWriter(System.Web.HttpContext.Current.Server.MapPath(this.Root+"js/admin.js"),false,System.Text.Encoding.UTF8)) 
			{
				sw.Write(filestring);
				sw.Close();
			}
			this.AlertAndRedir("成功生成"+this.Root+"js/admin.js文件","Product_JS.aspx");
		}
		
	}
}
